# The tests don't work in mock, they can be run on local machine
%bcond_with testsuite

Name:           perl-Fuse
Version:        0.16.1
Release:        5%{?dist}
Summary:        Write filesystems in Perl using FUSE
# LGPLv2: Reference from metadata
# (GPLv2+ or LGPLv2+): same license as fuse as mention in README
License:        LGPLv2 and (GPLv2+ or LGPLv2+)
URL:            http://search.cpan.org/dist/Fuse/
Source0:        http://www.cpan.org/authors/id/D/DP/DPATES/Fuse-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(fuse)
%if %{with testsuite}
# Run-time
BuildRequires:  perl(AutoLoader)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Errno)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Tests
BuildRequires:  fuse
BuildRequires:  perl(blib)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(English)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(Test::More)
BuildRequires:  util-linux
# Optional test
BuildRequires:  perl(Filesys::Statvfs)
BuildRequires:  perl(Lchown)
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(threads)
BuildRequires:  perl(threads::shared)
BuildRequires:  perl(Unix::Mknod)
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Recommends:     perl(threads)
Recommends:     perl(threads::shared)

%description
This lets you implement filesystems in perl, through the FUSE (Filesystem
in USErspace) kernel/lib interface.

%prep
%setup -q -n Fuse-%{version}
find -type f -exec chmod -c a-x {} +

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{with testsuite}
make test
%endif

%files
%doc AUTHORS examples Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Fuse*
%{_mandir}/man3/*

%changelog
* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.16.1-5
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.16.1-3
- Perl 5.24 rebuild

* Mon Feb 01 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.16.1-2
- Updated due to the review comments

* Mon Jan 18 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.16.1-1
- Initial release
